#import "FlashlightPlugin.h"

@implementation FlashlightPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"flashlight"
            binaryMessenger:[registrar messenger]];
  FlashlightPlugin* instance = [[FlashlightPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if ([@"getFlashLight" isEqualToString:call.method]) {
    result([@"iOS Flash Light"]);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
